commit:     78f807c6cd82b87988128a7a21c9d5b2aacd2550
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 15:45:36 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 15:45:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78f807c6

sys-auth/pambase: Version bump (v20201010)

pam_faillock.so can now be managed via the
/etc/security/faillock.conf file

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sys-auth/pambase/Manifest                |  1 +
 sys-auth/pambase/pambase-20201010.ebuild | 99 ++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/sys-auth/pambase/Manifest b/sys-auth/pambase/Manifest
index fa1559c489d..17f02a129be 100644
--- a/sys-auth/pambase/Manifest
+++ b/sys-auth/pambase/Manifest
@@ -1 +1,2 @@
 DIST pambase-20200917.tar.gz 3342 BLAKE2B 
4dde3a6a4a22f02464a2a703a2385038c53c05398904dc47431880a16d7dd1ba89c8f5fdf19a7d50406f2487f8bdf90264ca2941cc6a2ad9d404e89c3d73edca
 SHA512 
0cae27f7cd7ef258771b61110ba3ce5a44a0f9d71030670b2a40aa47a609d30ae3e3d7bc0649dcce25a2cfe2e1259e6d9ff435118ab1d2db771a162898ab5143
+DIST pambase-20201010.tar.gz 3319 BLAKE2B 
269ae31c197cb438169111c079bc91f8c6714b4af1a1e049278c916a2975661b15ceacd8ac06cd9296a64295c876a1241ddec2efa1350e9278ad1cfa3655e750
 SHA512 
b37c82e8247bd2d90056877f6b1e5c0d943e75df27a08a03fc17865feccdeec30d93691aefdf99bad9618722824756f940525f9091567f71c4cbb3d511e2d745

diff --git a/sys-auth/pambase/pambase-20201010.ebuild 
b/sys-auth/pambase/pambase-20201010.ebuild
new file mode 100644
index 00000000000..d7f758b33c3
--- /dev/null
+++ b/sys-auth/pambase/pambase-20201010.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit pam python-any-r1 readme.gentoo-r1
+
+DESCRIPTION="PAM base configuration files"
+HOMEPAGE="https://github.com/gentoo/pambase";
+SRC_URI="https://github.com/gentoo/pambase/archive/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 
sparc x86 ~amd64-linux ~x86-linux"
+IUSE="caps debug elogind gnome-keyring minimal mktemp +nullok pam_krb5 pam_ssh 
+passwdqc pwhistory pwquality securetty selinux +sha512 systemd"
+
+RESTRICT="binchecks"
+
+REQUIRED_USE="
+       ?? ( elogind systemd )
+       ?? ( passwdqc pwquality )
+       pwhistory? ( || ( passwdqc pwquality ) )
+"
+
+MIN_PAM_REQ=1.4.0
+
+RDEPEND="
+       >=sys-libs/pam-${MIN_PAM_REQ}
+       elogind? ( sys-auth/elogind[pam] )
+       gnome-keyring? ( gnome-base/gnome-keyring[pam] )
+       mktemp? ( sys-auth/pam_mktemp )
+       pam_krb5? (
+               >=sys-libs/pam-${MIN_PAM_REQ}
+               sys-auth/pam_krb5
+       )
+       caps? ( sys-libs/libcap[pam] )
+       pam_ssh? ( sys-auth/pam_ssh )
+       passwdqc? ( >=sys-auth/passwdqc-1.4.0-r1 )
+       pwquality? ( dev-libs/libpwquality[pam] )
+       selinux? ( sys-libs/pam[selinux] )
+       sha512? ( >=sys-libs/pam-${MIN_PAM_REQ} )
+       systemd? ( sys-apps/systemd[pam] )
+"
+
+BDEPEND="$(python_gen_any_dep '
+               dev-python/jinja[${PYTHON_USEDEP}]
+       ')"
+
+python_check_deps() {
+       has_version -b "dev-python/jinja[${PYTHON_USEDEP}]"
+}
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_configure() {
+       ${EPYTHON} ./${PN}.py \
+       $(usex caps '--libcap' '') \
+       $(usex debug '--debug' '') \
+       $(usex elogind '--elogind' '') \
+       $(usex gnome-keyring '--gnome-keyring' '') \
+       $(usex minimal '--minimal' '') \
+       $(usex mktemp '--mktemp' '') \
+       $(usex nullok '--nullok' '') \
+       $(usex pam_krb5 '--krb5' '') \
+       $(usex pam_ssh '--pam-ssh' '') \
+       $(usex passwdqc '--passwdqc' '') \
+       $(usex pwhistory '--pwhistory' '') \
+       $(usex pwquality '--pwquality' '') \
+       $(usex securetty '--securetty' '') \
+       $(usex selinux '--selinux' '') \
+       $(usex sha512 '--sha512' '') \
+       $(usex systemd '--systemd' '')
+}
+
+src_test() { :; }
+
+src_install() {
+       local DOC_CONTENTS
+
+       if use passwdqc; then
+               DOC_CONTENTS="To amend the existing password policy please see 
the man 5 passwdqc.conf
+                               page and then edit the 
/etc/security/passwdqc.conf file"
+       fi
+
+       if use pwquality; then
+               DOC_CONTENTS="To amend the existing password policy please see 
the man 5 pwquality.conf
+                               page and then edit the 
/etc/security/pwquality.conf file"
+       fi
+
+       { use passwdqc || use pwquality; } && readme.gentoo_create_doc
+
+       dopamd -r stack/.
+}
+
+pkg_postinst() {
+       { use passwdqc || use pwquality; } && readme.gentoo_print_elog
+}

Reply via email to